Skip to content
Guides
API reference
stable

List public store locations

Retrieve public physical store locations

GET/v1/store-locations

Retrieve public physical store locations

Query Parameters

limit?integer

Maximum number of results to return.

Formatint32
cursor?string

Opaque cursor from the previous response. Omit it on the first page.

search?string

Free-text filter. Which fields it covers depends on the resource.

sortBy?string

Field to sort by. Accepted values depend on the resource.

sortDirection?string

Sort direction: asc or desc.

Value in

  • "asc"
  • "desc"

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/store-locations"
{  "data": [    {      "id": "string",      "storeId": "string",      "sellerId": null,      "name": "string",      "code": "string",      "type": "warehouse",      "address": null,      "city": null,      "state": null,      "country": null,      "postalCode": null,      "latitude": null,      "longitude": null,      "phone": null,      "email": null,      "description": null,      "isActive": true,      "isDefault": true,      "useForFulfillment": true,      "supportsShipping": true,      "supportsLocalDelivery": true,      "supportsPickup": true,      "isPhysicalStore": true,      "supportsPos": true,      "priority": 0,      "pickupInstructions": null,      "pickupLeadTimeInMinutes": null,      "pickupSlotInMinutes": null,      "pickupDailyCapacity": null,      "localDeliveryInstructions": null,      "localDeliveryLeadTimeInMinutes": null,      "localDeliverySlotInMinutes": null,      "localDeliveryDailyCapacity": null,      "localDeliveryFee": null,      "localDeliveryFreeFromAmount": null,      "localDeliveryMinHours": null,      "localDeliveryMaxHours": null,      "localDeliveryPostalCodes": [        "string"      ],      "localDeliveryZones": [        {          "name": "string",          "postalCodes": [            "string"          ],          "radiusKm": null,          "fee": null,          "freeFromAmount": null,          "minHours": null,          "maxHours": null        }      ],      "schedules": [        {          "id": "string",          "openTime": "14:15:22Z",          "closeTime": "14:15:22Z",          "name": "string",          "dayOfWeek": "monday",          "enabled": true,          "isOpen": true,          "type": "delivery"        }      ],      "status": "active",      "createdOn": "2019-08-24T14:15:22Z",      "updatedOn": null    }  ],  "hasNextPage": true,  "nextCursor": null,  "totalCount": null}